classification
Title: Documentation of add_subparsers lacks information about parametres
Type: Stage: resolved
Components: Documentation Versions: Python 3.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: bethard, docs@python, gruszczy, python-dev
Priority: normal Keywords: patch

Created on 2011-04-09 09:21 by gruszczy, last changed 2013-10-06 16:56 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
11807.patch gruszczy, 2011-04-10 16:19 review
11807_2.patch gruszczy, 2011-12-18 22:34 review
11807_3.patch bethard, 2012-07-21 21:59 review
Messages (8)
msg133379 - (view) Author: Filip Gruszczyński (gruszczy) Date: 2011-04-09 09:21
In argparse documentation parametres of add_subparsers are not listed. And yet there are some really useful parametres like parser_class. It would be useful, it they were described there well and one wouldn't have to look into the code to find them :-) I'll be happy to provide documentation patch tomorrow.
msg133472 - (view) Author: Filip Gruszczyński (gruszczy) Date: 2011-04-10 16:19
Here is a patch for this. I am not much of technical writer, so please be patient with me. I tried to provide all the information about parameters, that can be inferred from the code and experimenting. I have left out one parameter - action - because I don't see any use of it for a potential user and potential description seemed very complicated. I'll be happy to work further on the patch, if someone is willing to tutor me a little.
msg149548 - (view) Author: Steven Bethard (bethard) * (Python committer) Date: 2011-12-15 13:04
Looks good. A few minor comments (click "review" by the patch).
msg149806 - (view) Author: Filip Gruszczyński (gruszczy) Date: 2011-12-18 22:34
Fixed patch.
msg154407 - (view) Author: Filip Gruszczyński (gruszczy) Date: 2012-02-26 22:08
Bump! I would like to remind about this issue and patch.
msg166082 - (view) Author: Steven Bethard (bethard) * (Python committer) Date: 2012-07-21 21:59
Looks good. There was one typo in "parametres" that I've fixed. Should be ready to apply.
msg199098 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-10-06 16:56
New changeset b930b4e67c8a by Georg Brandl in branch '3.3':
Closes #11807: document argparse add_subparsers method better.
http://hg.python.org/cpython/rev/b930b4e67c8a
msg199100 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-10-06 16:56
New changeset d5027e489c25 by Georg Brandl in branch '2.7':
Closes #11807: document argparse add_subparsers method better.
http://hg.python.org/cpython/rev/d5027e489c25
History
Date User Action Args
2013-10-06 16:56:28python-devsetmessages: + msg199100
2013-10-06 16:56:21python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg199098

resolution: fixed
stage: resolved
2012-07-21 21:59:40bethardsetfiles: + 11807_3.patch

messages: + msg166082
2012-02-26 22:08:29gruszczysetmessages: + msg154407
2011-12-18 22:34:50gruszczysetfiles: + 11807_2.patch

messages: + msg149806
2011-12-15 13:04:10bethardsetmessages: + msg149548
2011-04-10 16:19:51gruszczysetfiles: + 11807.patch
keywords: + patch
messages: + msg133472
2011-04-09 09:22:12gruszczysetnosy: + bethard
2011-04-09 09:21:11gruszczycreate